Package oracle.nosql.driver.ops

# Class TableUsageResult.TableUsage

java.lang.Object
oracle.nosql.driver.ops.TableUsageResult.TableUsage

Enclosing class:
  TableUsageResult

public static class TableUsageResult.TableUsage extends Object
TableUsage represents a single usage record, or slice, that includes information about read and write throughput consumed during that period as well as the current information regarding storage capacity. In addition the count of throttling exceptions for the period is reported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxShardUsagePercent()`
  Returns the percentage of allowed storage usage for the shard with the highest usage percentage across all table shards.
  `int`
  `getReadThrottleCount()`
  Returns the number of read throttling exceptions on this table in the time period.
  `int`
  `getReadUnits()`
  Returns the number of read uits consumed during this period
  `int`
  `getSecondsInPeriod()`
  Returns the number of seconds in this usage record.
  `long`
  `getStartTime()`
  Returns the start time for this usage record in milliseconds since the Epoch.
  `String`
  `getStartTimeString()`
  Returns the start time as an ISO 8601 formatted string.
  `int`
  `getStorageGB()`
  Returns the amount of storage consumed by the table.
  `int`
  `getStorageThrottleCount()`
  Returns the number of storage throttling exceptions on this table in the time period.
  `int`
  `getWriteThrottleCount()`
  Returns the number of write throttling exceptions on this table in the time period.
  `int`
  `getWriteUnits()`
  Returns the number of write uits consumed during this period

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getStartTime

    public long getStartTime()
    Returns the start time for this usage record in milliseconds since the Epoch.
    Returns:
      the start time

  - ### getStartTimeString

    public String getStartTimeString()
    Returns the start time as an ISO 8601 formatted string. If the start timestamp is not set, null is returned.
    Returns:
      the start time, or null if not set.

  - ### getSecondsInPeriod

    public int getSecondsInPeriod()
    Returns the number of seconds in this usage record.
    Returns:
      the number of seconds

  - ### getReadUnits

    public int getReadUnits()
    Returns the number of read uits consumed during this period
    Returns:
      the read units

  - ### getWriteUnits

    public int getWriteUnits()
    Returns the number of write uits consumed during this period
    Returns:
      the write units

  - ### getStorageGB

    public int getStorageGB()
    Returns the amount of storage consumed by the table. This information may be out of date as it is not maintained in real time.
    Returns:
      the size in gigabytes

  - ### getReadThrottleCount

    public int getReadThrottleCount()
    Returns the number of read throttling exceptions on this table in the time period.
    Returns:
      the number of throttling exceptions

  - ### getWriteThrottleCount

    public int getWriteThrottleCount()
    Returns the number of write throttling exceptions on this table in the time period.
    Returns:
      the number of throttling exceptions

  - ### getStorageThrottleCount

    public int getStorageThrottleCount()
    Returns the number of storage throttling exceptions on this table in the time period.
    Returns:
      the number of throttling exceptions

  - ### getMaxShardUsagePercent

    public int getMaxShardUsagePercent()
    Returns the percentage of allowed storage usage for the shard with the highest usage percentage across all table shards. This can be used as a gauge of total storage available as well as a hint for key distribution across shards.
    Returns:
      the percentage
    Since:
      5.4